import { Component, Prop, Event, h, State } from '@stencil/core';
export class SLocator {
  constructor() {
    this.name = "Store Locator";
  }
  componentDidLoad() {
    console.log(this.name);
  }
  onSearch() {
    this.search.emit({ value: this.zipCode });
  }
  clear() {
    this.zipCode = '';
  }
  handleChange(event) {
    this.zipCode = event.target.value;
  }
  render() {
    return (h("div", { class: 'element-container' },
      h("h2", { class: 'element-header' },
        " ",
        this.name),
      h("div", { class: 'element-content' },
        h("div", { class: 'element-intro' }, "PLEASE NOTE: Many of our in-network pharmacies are helping the government administer the COVID-19 vaccines, including pharmacy chains and community pharmacies."),
        h("div", { class: 'element-input' },
          h("label", { class: 'zipcode-label' }, "Please enter your zip-code to find the nearest stores"),
          h("input", { class: 'zipcode-input', placeholder: 'Zip-code in 5 digits', value: this.zipCode, onInput: (event) => this.handleChange(event) })),
        h("div", { class: 'element-actions' },
          h("button", { class: 'search-button', onClick: () => this.onSearch() }, "Search"),
          h("button", { class: 'clear-button', onClick: () => this.clear() }, "Clear")))));
  }
  static get is() { return "s-locator"; }
  static get originalStyleUrls() { return {
    "default": ["cvs-s-locator.css"],
    "bsc": ["bsc-s-locator.css"]
  }; }
  static get styleUrls() { return {
    "default": ["cvs-s-locator.css"],
    "bsc": ["bsc-s-locator.css"]
  }; }
  static get properties() { return {
    "name": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "name",
      "reflect": false,
      "defaultValue": "\"Store Locator\""
    }
  }; }
  static get states() { return {
    "zipCode": {}
  }; }
  static get events() { return [{
      "method": "search",
      "name": "search",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }]; }
}
